/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.sg.balancedlibrary.materialReportDetails.service;

import com.jeeplus.core.persistence.Page;
import com.jeeplus.core.service.CrudService;
import com.jeeplus.modules.sg.balancedlibrary.materialReportDetails.entity.CompareHistory;
import com.jeeplus.modules.sg.balancedlibrary.materialReportDetails.entity.MaterialReportDetails;
import com.jeeplus.modules.sg.balancedlibrary.materialReportDetails.mapper.CompareHistoryMapper;
import com.jeeplus.modules.sg.balancedlibrary.materialReportDetails.mapper.MaterialReportDetailsMapper;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 物资上报明细Service
 *
 * @author enford
 * @version 1.0
 */
@Service
@Transactional(readOnly = true)
public class CompareHistoryService extends CrudService<CompareHistoryMapper, CompareHistory> {


	@Override
	public List<CompareHistory> findList(CompareHistory entity) {
		return super.findList(entity);
	}

	@Override
	public Page<CompareHistory> findPage(Page<CompareHistory> page, CompareHistory entity) {
		return super.findPage(page, entity);
	}


	@Transactional(readOnly = false)
	public void insertList(List<CompareHistory> list) {
		mapper.insertList(list);
	}

	@Transactional(readOnly = false)
	public void delAll() {
		mapper.delAll();
	}
}